{ environment ? "prod"
, varDir ? "/var/lib/iridologie_${environment}"
, spip, stdenv, sassc, sources }:
let
  siteDir = stdenv.mkDerivation rec {
    version = sources.websites-isabelle-iridologie.version;
    pname = "iridologie";
    name = "${pname}-${version}";
    src = sources.websites-isabelle-iridologie;
    installPhase = ''
      cp -a . $out
      '';
  };
in
spip.override {
  ldap = true;
  siteName = "iridologie";
  inherit environment siteDir varDir;
}
